%define		package	Process
%define		php_min_version 5.3.9
Summary:	Symfony2 Process Component
Name:		php-symfony2-Process
Version:	2.8.52
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	f6e51698710400de3dd7056a4954a537
URL:		http://symfony.com/doc/2.7/components/process.html
BuildRequires:	phpab
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(pcre)
Requires:	php(spl)
Requires:	php-dirs >= 1.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Process Component executes commands in sub-processes.

%prep
%setup -q -n process-%{version}

%{__rm} Pipes/WindowsPipes.php

%build
phpab -n -e '*/Tests/*' -o autoload.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
cp -a *.php */ $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}
rm -r $RPM_BUILD_ROOT%{php_data_dir}/Symfony/Component/%{package}/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_data_dir}/Symfony/Component/Process
%{php_data_dir}/Symfony/Component/Process/*.php
%{php_data_dir}/Symfony/Component/Process/Exception
%{php_data_dir}/Symfony/Component/Process/Pipes
%changelog
* Wed May 06 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-Process.git;a=log;h=master

* Wed May 06 2020 Elan Ruusamäe <glen@pld-linux.org> fa09cdf
- Update to 2.8.52

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 3dd9ba0
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> 1eadb4d
- up to 2.7.8

* Tue Jan 05 2016 Elan Ruusamäe <glen@delfi.ee> 4541c22
- php-dirs dep

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> f5318c1
- skip implicit pear-dirs package, dir dep is enough

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 4e2954c
- install to php data dir

* Wed Nov 25 2015 Elan Ruusamäe <glen@delfi.ee> 00c499d
- up to 2.7.7; use autoload.php for autoload name

* Sat Oct 03 2015 Elan Ruusamäe <glen@delfi.ee> d7efb4c
- up to 2.7.5

* Tue Aug 11 2015 Elan Ruusamäe <glen@delfi.ee> 020b938
- fix php-pear dependency

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> b58e226
- package new files

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 13c160f
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> eed3b5a
- use autoloader.php as autoload bootstrap

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 301b14e
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 0e0a186
- up to 2.4.4

* Sat Apr 12 2014 Elan Ruusamäe <glen@delfi.ee> d14dc86
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> a4023a8
- up to 2.3.4

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> 75886f2
- up to 2.1.6

* Tue Dec 11 2012 Elan Ruusamäe <glen@delfi.ee> 1e7e8fd
- new, version 2.1.4

